Subject: Re: bug#78820: 31.0.50; savehist timer does not run repeatedly

From: Robert Pluim <[email-masked]>
Date: Wed, 18 Jun 2025 17:06:18 +0200

tags 78820 fixed
close 78820 31.1
quit

>>>>> On Wed, 18 Jun 2025 15:31:53 +0200, Robert Pluim <[email-masked]> said:

>>>>> On Wed, 18 Jun 2025 08:41:57 -0400, Stéphane Marks <[email-masked]> said:
    >>> No need:
    >>> 
    >>> (run-with-timer t savehist-autosave-interval #'savehist-autosave)
    >>> 
    >>> already works, although the docstring and the manual donʼt make this
    >>> clear, you need to read the manual for `run-at-time' attentively.
    >>> 

    Stéphane> Funny perhaps I did that at the time, but I prefer the
    Stéphane> more precise form.

    Robert> Sure, that also works.

Done.

Robert
-- 

Pushed to master.

318715105d0 2025-06-18T17:03:36+02:00 "Make savehist timer actually repeat"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=318715105d05036a2e1307a57b4febcf15048912